/******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2011-2012 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
***************************************************************************//*!
*
* @file ftm.h
*
* @author a13984
*
* @version 0.0.1
*
* @date Aug 4, 2011
*
* @brief application entry point which performs application specific tasks. 
*
*******************************************************************************
*
* provide a demo for how to initialize the PT60, output messages via SCI, 
* flash operations, etc.
* NOTE:
*	printf call may occupy a lot of memory (around 1924 bytes), so please
*	consider your code size before using printf.
******************************************************************************/

#ifndef FTM_H_
#define FTM_H_

/******************************************************************************
* Includes
******************************************************************************/

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Macros
******************************************************************************/
/* clock sources */
#define SYS_CLK			1
#define FIXED_CLK		2
#define EXT_CLK			3
#define SYS_CLK_DIV_2 	4

/* define FTM2 clock source */
//#define FTM2_CLK	SYS_CLK 
#define FTM2_CLK	FIXED_CLK

/* define FTM2 period and duty cycle init values */
#define FTM2_MOD_INIT	(1000-1)

#define FTM2_C0V_INIT	200
#define FTM2_C1V_INIT	700
#define FTM2_C2V_INIT	200
#define FTM2_C3V_INIT	700

/******************************************************************************
* Types
******************************************************************************/

/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/

void FTM2_Init(void);

#endif /* FTM_H_ */
